function $AdfFacesMessage$$($messageType$$, $summary$$, $detail$$3$$, $properties$$) {
  this.Init($messageType$$, $summary$$, $detail$$3$$, $properties$$);
}
$goog$exportSymbol$$("AdfFacesMessage", $AdfFacesMessage$$);
$AdfObject$$.$createSubclass$($AdfFacesMessage$$);
$AdfFacesMessage$$.$TYPE_INFO$ = 1;
$goog$exportSymbol$$("AdfFacesMessage.TYPE_INFO", $AdfFacesMessage$$.$TYPE_INFO$);
$AdfFacesMessage$$.$TYPE_CONFIRMATION$ = 2;
$goog$exportSymbol$$("AdfFacesMessage.TYPE_CONFIRMATION", $AdfFacesMessage$$.$TYPE_CONFIRMATION$);
$AdfFacesMessage$$.$TYPE_WARNING$ = 3;
$goog$exportSymbol$$("AdfFacesMessage.TYPE_WARNING", $AdfFacesMessage$$.$TYPE_WARNING$);
$AdfFacesMessage$$.$TYPE_ERROR$ = 4;
$goog$exportSymbol$$("AdfFacesMessage.TYPE_ERROR", $AdfFacesMessage$$.$TYPE_ERROR$);
$AdfFacesMessage$$.$TYPE_FATAL$ = 5;
$goog$exportSymbol$$("AdfFacesMessage.TYPE_FATAL", $AdfFacesMessage$$.$TYPE_FATAL$);
$AdfFacesMessage$$.getType = function $$AdfFacesMessage$$$getType$($severity$$) {
  switch($severity$$) {
    case TrFacesMessage.SEVERITY_WARNING:
      return $AdfFacesMessage$$.$TYPE_WARNING$;
    case TrFacesMessage.SEVERITY_ERROR:
      return $AdfFacesMessage$$.$TYPE_ERROR$;
    case TrFacesMessage.$SEVERITY_FATAL$:
      return $AdfFacesMessage$$.$TYPE_FATAL$;
    default:
      return $AdfFacesMessage$$.$TYPE_INFO$;
  }
};
$goog$exportSymbol$$("AdfFacesMessage.getType", $AdfFacesMessage$$.getType);
$AdfFacesMessage$$.$getSeverity$ = function $$AdfFacesMessage$$$$getSeverity$$($type$$92$$) {
  switch($type$$92$$) {
    case $AdfFacesMessage$$.$TYPE_WARNING$:
      return TrFacesMessage.SEVERITY_WARNING;
    case $AdfFacesMessage$$.$TYPE_ERROR$:
      return TrFacesMessage.SEVERITY_ERROR;
    case $AdfFacesMessage$$.$TYPE_FATAL$:
      return TrFacesMessage.$SEVERITY_FATAL$;
    default:
      return TrFacesMessage.$SEVERITY_INFO$;
  }
};
$goog$exportSymbol$$("AdfFacesMessage.getSeverity", $AdfFacesMessage$$.$getSeverity$);
$AdfFacesMessage$$.$getTypeFromMessage$ = function $$AdfFacesMessage$$$$getTypeFromMessage$$($message$$28$$) {
  return null != $message$$28$$.getMessageType ? $message$$28$$.getMessageType() : $AdfFacesMessage$$.getType($message$$28$$.getSeverity());
};
$goog$exportSymbol$$("AdfFacesMessage.getTypeFromMessage", $AdfFacesMessage$$.$getTypeFromMessage$);
$AdfFacesMessage$$.prototype.$getDetail$ = function $$AdfFacesMessage$$$$$getDetail$$() {
  var $detail$$4$$ = this.$_detail$;
  return !$detail$$4$$ || 1 > $AdfStrings$$.trim($detail$$4$$).length ? this.$_summary$ : $detail$$4$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFacesMessage.prototype.getDetail", {$getDetail$:$AdfFacesMessage$$.prototype.$getDetail$});
$AdfFacesMessage$$.prototype.getSummary = function $$AdfFacesMessage$$$$getSummary$() {
  return this.$_summary$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFacesMessage.prototype.getSummary", {getSummary:$AdfFacesMessage$$.prototype.getSummary});
$AdfFacesMessage$$.prototype.getMessageType = function $$AdfFacesMessage$$$$getMessageType$() {
  return this.$_messageType$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFacesMessage.prototype.getMessageType", {getMessageType:$AdfFacesMessage$$.prototype.getMessageType});
$AdfFacesMessage$$.prototype.$getSeverity$ = function $$AdfFacesMessage$$$$$getSeverity$$() {
  return $AdfFacesMessage$$.$getSeverity$(this.$_messageType$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFacesMessage.prototype.getSeverity", {$getSeverity$:$AdfFacesMessage$$.prototype.$getSeverity$});
$AdfFacesMessage$$.prototype.$setDetail$ = function $$AdfFacesMessage$$$$$setDetail$$($detail$$5$$) {
  this.$_detail$ = $detail$$5$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFacesMessage.prototype.setDetail", {$setDetail$:$AdfFacesMessage$$.prototype.$setDetail$});
$AdfFacesMessage$$.prototype.setSummary = function $$AdfFacesMessage$$$$setSummary$($summary$$1$$) {
  this.$_summary$ = $summary$$1$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFacesMessage.prototype.setSummary", {setSummary:$AdfFacesMessage$$.prototype.setSummary});
$AdfFacesMessage$$.prototype.setMessageType = function $$AdfFacesMessage$$$$setMessageType$($type$$93$$) {
  this.$_type$ = $type$$93$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFacesMessage.prototype.setMessageType", {setMessageType:$AdfFacesMessage$$.prototype.setMessageType});
$AdfFacesMessage$$.prototype.$setSeverity$ = function $$AdfFacesMessage$$$$$setSeverity$$($severity$$1$$) {
  this.$_messageType$ = $AdfFacesMessage$$.getType($severity$$1$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFacesMessage.prototype.setSeverity", {$setSeverity$:$AdfFacesMessage$$.prototype.$setSeverity$});
$AdfFacesMessage$$.prototype.$getProperty$ = function $$AdfFacesMessage$$$$$getProperty$$($propName$$4$$) {
  if (null != this.$_properties$) {
    return this.$_properties$[$propName$$4$$];
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFacesMessage.prototype.getProperty", {$getProperty$:$AdfFacesMessage$$.prototype.$getProperty$});
$AdfFacesMessage$$.prototype.Init = function $$AdfFacesMessage$$$$Init$($messageType$$1$$, $summary$$2$$, $detail$$6$$, $properties$$1$$) {
  $AdfFacesMessage$$.$superclass$.Init.call(this, $messageType$$1$$, $summary$$2$$, $detail$$6$$, $properties$$1$$);
  this.$_messageType$ = $messageType$$1$$;
  this.$_summary$ = $summary$$2$$;
  this.$_detail$ = $detail$$6$$;
  this.$_properties$ = $properties$$1$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFacesMessage.prototype.Init", {Init:$AdfFacesMessage$$.prototype.Init});
